
public class AgentReady {
	private static String AccountSid="主帐号";//主帐号
	private static String AccountToken="主帐号TOKEN";//主帐号TOKEN
	private static String AppId="应用ID";//应用ID
	private static String ServerIP="sandboxapp.cloopen.com";//请求的URL
	
	/**
	 * 座席准备就绪
	 * @param agentid			座席id，建议四位正整数，例如：8001
	 * @param action			就绪失败的回调url，自定义相对地址，当为空则不回调
	 * @param state 			true表示状态更新为准备就绪，false表示状态更新为准备中
	 * @param priority		是否优先接听客户电话，false表示顺序接听，true表示优先接听，默认值为false，当设置坐席优先接听的时候坐席准备就绪就会排到队首接听
	 * @param force				是否强制设置状态，false表示不强制设置，true表示强制设置，默认值为false，当设置强制的时候会把坐席的状态强制修改为设置的状态
	 */
	public static void main(String[] args) {
		RestSDK re=new RestSDK();
		re.init(AccountSid, AccountToken, AppId, ServerIP);
		String response=re.agentready("座席id", "就绪失败的回调url", "座席状态", "是否优先接听客户电话", "是否强制设置状态");
		System.out.println(response);
	}
}
