
public class CreateQueue {
	private static String AccountSid="主帐号";//主帐号
	private static String AccountToken="主帐号TOKEN";//主帐号TOKEN
	private static String AppId="应用ID";//应用ID
	private static String ServerIP="sandboxapp.cloopen.com";//请求的URL
	
	/**
	 * 创建队列
	 * @param queuetype				队列类型，限制正整数，0队列是云通讯平台默认创建的不需要再创建
	 * @param typedes					队列类型描述，主要是对队列进行说明描述，例如：中文组
	 * @param worktime				队列工作时间，所在队列的工作时间，不在工作时间内则不会进入队列进行排队，例如：09:00-18:00
	 * @param offworkprompt 	非工作时间队列提示音，自定义放音文件通过云通讯官网上传审核
	 * @param offworkdate			非工作日期，所在队列的非工作日期，在非工作日期内则不会进入队列进行排队，例如：2015-10-01:2015-10-07
	 * @param offworkweekday	每周的非工作时间，所在队列每周的非工作时间，在非工作时间内则不会进入队列进行排队，每周非工作时间定义为Mon#Tue、Wed、Thu、Fri、Sat、Sun，多天以#分隔，例如：Mon#Tue
	 */
	public static void main(String[] args) {
		RestSDK re=new RestSDK();
		re.init(AccountSid, AccountToken, AppId, ServerIP);
		String response=re.createqueue("队列类型", "队列类型描述", "队列工作时间", "非工作时间队列提示音", "非工作日期", "每周的非工作时间");
		System.out.println(response);
	}
}
